DBIx::Class::Storage::Statistics(3)

NAME
DBIx::Class::Storage::Statistics - SQL Statistics

SYNOPSIS

DESCRIPTION
This class is called by DBIx::Class::Storage::DBI as a means of collecting statistics on its actions. Using this class alone merely prints the SQL executed, the fact that it completes and begin/end notification for transactions.

To really use this class you should subclass it and create your own method for collecting the statistics as discussed in DBIx::Class::Manual::Cookbook.

METHODS

  new
Returns a new DBIx::Class::Storage::Statistics object.

  debugfh
Sets or retrieves the filehandle used for trace/debug output. This should be an IO::Handle compatible object (only the "print" method is used). Initially should be set to STDERR - although see information on the DBIC_TRACE environment variable.

As getter it will lazily open a filehandle for you if one is not already set.

  print
Prints the specified string to our debugging filehandle. Provided to save our methods the worry of how to display the message.

  silence
Turn off all output if set to true.

  txn_begin
Called when a transaction begins.

  txn_rollback
Called when a transaction is rolled back.

  txn_commit
Called when a transaction is committed.

  svp_begin
Called when a savepoint is created.

  svp_release
Called when a savepoint is released.

  svp_rollback
Called when rolling back to a savepoint.

  query_start
Called before a query is executed. The first argument is the SQL string being executed and subsequent arguments are the parameters used for the query.

  query_end
Called when a query finishes executing. Has the same arguments as query_start.

AUTHORS
Cory G. Watson <gphat@cpan.org>

LICENSE
You may distribute this code under the same license as Perl itself.